Skip to main content
GET
/
api
/
notifications
/
subscriptions
List webhook subscriptions
curl --request GET \
  --url https://api.walletsuite.io/api/notifications/subscriptions \
  --header 'x-api-key: <api-key>'
{
  "ok": true,
  "code": "<string>",
  "message": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chain": "<string>",
      "address": "<string>",
      "eventKinds": [
        "<string>"
      ],
      "webhookUrl": "<string>",
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "failureCount": 123,
      "lastSuccessAt": "2023-11-07T05:31:56Z",
      "pausedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key provided by WalletSuite team

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

OK

ok
boolean
code
string
message
string
data
object[]